[Gpg4win-commits] r1332 - in trunk: . patches patches/claws-mail-3.7.4cvs1
scm-commit@wald.intevation.org
scm-commit at wald.intevation.org
Tue Feb 2 20:03:11 CET 2010
Author: colinleroy
Date: 2010-02-02 20:03:09 +0100 (Tue, 02 Feb 2010)
New Revision: 1332
Added:
trunk/patches/claws-mail-3.7.4cvs1/
trunk/patches/claws-mail-3.7.4cvs1/01-bug_2098.patch
Modified:
trunk/ChangeLog
Log:
2010-02-02 Colin Leroy <colin at colino.net>
* patches/claws-mail-3.7.4cvs1/01-bug_2098.patch: Add patch from
upstream to fix double-free crash on PGP core.
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2010-02-02 14:20:46 UTC (rev 1331)
+++ trunk/ChangeLog 2010-02-02 19:03:09 UTC (rev 1332)
@@ -1,3 +1,8 @@
+2010-02-02 Colin Leroy <colin at colino.net>
+
+ * patches/claws-mail-3.7.4cvs1/01-bug_2098.patch: Add patch from
+ upstream to fix double-free crash on PGP core.
+
2010-02-02 Werner Koch <wk at g10code.com>
* src/gpg4win.mk.in (README.$(1).txt): Implement beta-warning hack.
Added: trunk/patches/claws-mail-3.7.4cvs1/01-bug_2098.patch
===================================================================
--- trunk/patches/claws-mail-3.7.4cvs1/01-bug_2098.patch 2010-02-02 14:20:46 UTC (rev 1331)
+++ trunk/patches/claws-mail-3.7.4cvs1/01-bug_2098.patch 2010-02-02 19:03:09 UTC (rev 1332)
@@ -0,0 +1,38 @@
+#! /bin/sh
+patch -p0 -f $* < $0
+exit $?
+
+2010-01-16 [colin] 3.7.4cvs4
+
+ * src/plugins/pgpcore/sgpgme.c
+ Probably fix bug 2098, 'claws-mails crashes frequently
+ with pgpcore'. Fix double-free.
+
+Index: src/plugins/pgpcore/sgpgme.c
+===================================================================
+RCS file: /home/claws-mail/claws/src/plugins/pgpcore/Attic/sgpgme.c,v
+retrieving revision 1.1.2.65
+retrieving revision 1.1.2.66
+diff -u -p -u -r1.1.2.65 -r1.1.2.66
+--- src/plugins/pgpcore/sgpgme.c 20 Oct 2009 17:40:30 -0000 1.1.2.65
++++ src/plugins/pgpcore/sgpgme.c 16 Jan 2010 18:19:42 -0000 1.1.2.66
+@@ -860,15 +860,17 @@ check_again:
+ if (!err)
+ err = gpgme_op_keylist_next(ctx, &key);
+ gpgme_op_keylist_end(ctx);
+- gpgme_release(ctx);
+ if (gpg_err_code(err) == GPG_ERR_EOF) {
+ if (gpgme_get_protocol(ctx) != GPGME_PROTOCOL_CMS) {
+ gpgme_set_protocol(ctx, GPGME_PROTOCOL_CMS);
+ goto check_again;
+ }
++ gpgme_release(ctx);
+ return FALSE;
+- } else
++ } else {
++ gpgme_release(ctx);
+ return TRUE;
++ }
+ }
+
+ void sgpgme_check_create_key(void)
Property changes on: trunk/patches/claws-mail-3.7.4cvs1/01-bug_2098.patch
___________________________________________________________________
Name: svn:executable
+ *
More information about the Gpg4win-commits
mailing list